Distribution:	CCux

Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary:    	libgcrypt - The GNU crypto library
Name:      	libgcrypt
Version:   	1.4.1
Release:   	1
Provides:	libgcrypt
License:	 GNU/GPL
URL:		ftp://ftp.gnupg.org/gcrypt/libgcrypt/
Group:    	System/Libraries
Source0: 	libgcrypt-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libgpg-error-devel
PreReq:		/sbin/install-info

%description
Libgcrypt is a general purpose crypto library based on the code used in GnuPG.

%package devel
Summary: 	libgcrypt development headers.
Group:     	System/Libraries          
Requires: 	libgcrypt = %{version}-%{release}

%description devel
Header and include files for developing applications with libgcrypt.

%post
/sbin/install-info %{_infodir}/gcrypt.info.gz %{_infodir}/dir 
ldconfig

%preun 
if [ "$1" = 0 ]; then 
    /sbin/install-info --del %{_infodir}/gcrypt.info.gz %{_infodir}/dir 
fi 

%postun
ldconfig

%prep
%setup -n libgcrypt-%{version}

%build
./configure --prefix=%_prefix --disable-debug --infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%_bindir/dumpsexp
%_libdir/*.so.*
%_infodir/gcrypt.info.gz
%exclude %_infodir/dir

%files devel
%defattr(-,root,root)
%_bindir/libgcrypt-config
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*.m4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version Update
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.2-2
- Moved more files to devel package, redefined files list
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version Update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.1-3
- Fixed minor Bug
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.1-2
- Moved more files to devel package, added info file install
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.2.1-1
- Version Update to 1.2.1
* Thu Nov 04 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.0-1
- Initial Release
